using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ch6_1
{
    class Rectangle
    {
        private int width; //width or rectangle 
        private int height; //height of rectangle
        private int area;  //area of rectangle
        private int perime; //perime of rectangle
        //Width property
        public int Width    
        {
            get
            {
                return width;
            }
            set
            {
                width = value;
            }
        }
        //Height property
        public int Height
        {
            get
            {
                return height;
            }
            set
            {
                height = value;
            }
        }
        //method calculateArea)
        public void calculateArea()
        {
            area = width * height;
        }
        //method calculatePerime
        public void calculatePerime()
        {
            perime = (width  + height ) * 2;
        }
        //method getArea
        public int getArea()
        {
            return area;
        }
        //method getPerime
        public int getPerime()
        {
            return perime;
        }
    }
}
